# SEO keywords and description for your site.
keywords = "genealogy, généalogie, haiku, informatique, computing, webtrees"
subtitle = "Mon petit espace perso"

# dir name of your blog content (default is `content/posts`).
# the list of set content will show up on your index page (baseurl).
contentTypeName = "post"

jsonLD = true

showAuthor = true

[author]
  name = "yann64"
  email = "yannickbarbel@orange.fr"

[header]
  logo = "logo.svg"

[footer]
  since = 2020
  poweredby = false

# giscus is comments system powered by GitHub Discussions
# generate configurations from https://giscus.app/
[giscus]
  enabled = false
  repo = "tomowang/hugo-theme-tailwind"
  repoID = "R_kgDOKjVJHA"
  category = "Announcements"
  categoryID = "DIC_kwDOKjVJHM4CafqS"
  mapping = "pathname"
  strict = "0"
  reactionsEnabled = "1"
  emitMetadata = "0"
  inputPosition = "bottom"
  lang = "fr"

[social_media]

  [[social_media.items]]
    enabled = true
    title = 'Mastodon'
    icon = 'brand-mastodon'
    link = 'https://mastodon.social/@yann64'

  [[social_media.items]]
    enabled = true
    title = 'Gitea'
    icon = 'brand-gitea'
    link = 'https://git.barbel.synology.me/'

  [[social_media.items]]
    enabled = true
    title = 'Github'
    icon = 'brand-github'
    link = 'https://github.com/yann64'

  [[social_media.items]]
    enabled = true
    title = 'Opengrok'
    icon = 'opengrok'
    link = 'https://opengrok.barbel.synology.me/'

  [[social_media.items]]
    enabled = false
    title = 'Facebook'
    icon = 'brand-facebook'
    link = 'https://www.facebook.com/yannick.barbel'

  [[social_media.items]]
    enabled = false
    title = 'Twitter'
    icon = 'brand-x'
    link = 'https://twitter.com/yannickbarbel'

  [[social_media.items]]
    enabled = false
    title = 'Instagram'
    icon = 'brand-instagram'
    link = 'https://www.instagram.com/'

  [[social_media.items]]
    enabled = false
    title = 'LinkedIn'
    icon = 'brand-linkedin'
    link = 'https://www.linkedin.com/in/yannick-barbel-83534525/'

[pwa]
  enabled = false
  icon = "logo.png" # should be in assets
  icon_sizes = [192, 512]

  # will be used as the manifest.json file and merge the default one
  # https://developer.mozilla.org/en-US/docs/Web/Manifest
  # https://web.dev/add-manifest/
  [manifest]
  description = "Example site for hugo-theme-tailwind"
